
tellraw @s "\n\n\n\n\n\n\n\n\n"
tellraw @s [{"text":"=== Lodestone Warps Settings ===","color":"aqua","bold":true,"hoverEvent": {"action": "show_text","value": "Click to refresh"},"clickEvent": {"action": "run_command","value": "/function clgd.lodestone:menu"}}]
tellraw @s ""

execute if predicate clgd.lodestone:menu/fixed_xp_cost run tellraw @s ["",{"text":"XP Cost Rate: ","color":"aqua"},{"text":"fixed","hoverEvent": {"action": "show_text","value": "Cost is the same regardless of the distance travelled\nClick to change"}}]
execute unless predicate clgd.lodestone:menu/fixed_xp_cost run tellraw @s ["",{"text":"XP Cost Rate: ","color":"aqua"},{"text":"per 100 blocks","hoverEvent": {"action": "show_text","value": "XP Cost equals rate * distance / 100 blocks\nClick to change"}}]
tellraw @s ["",{"text":"XP Cost: ","color":"aqua"},{"score":{"name": "$XPCost","objective": "clgd.lodestone"},"hoverEvent": {"action": "show_text","value": "Click to Edit"},"clickEvent": {"action": "suggest_command","value":"/scoreboard players set $XPCost clgd.lodestone <amount>"}}]

tellraw @s ""

execute if predicate clgd.lodestone:menu/fixed_cooldown run tellraw @s ["",{"text":"Cooldown Rate: ","color":"aqua"},{"text":"fixed","hoverEvent": {"action": "show_text","value": "Cooldown is the same regardless of the distance travelled\nClick to change"}}]
execute unless predicate clgd.lodestone:menu/fixed_cooldown run tellraw @s ["",{"text":"Cooldown Rate: ","color":"aqua"},{"text":"per 100 blocks","hoverEvent": {"action": "show_text","value": "Cooldown equals rate * distance / 100 blocks\nClick to change"}}]
tellraw @s ["",{"text":"Cooldown: ","color":"aqua"},{"score":{"name": "$Cooldown","objective": "clgd.lodestone"},"hoverEvent": {"action": "show_text","value": "Click to Edit"},"clickEvent": {"action": "suggest_command","value":"/scoreboard players set $Cooldown clgd.lodestone <amount>"}}]

tellraw @s ""


tellraw @s ["",{"text":"Max Distance: ","color":"aqua"},{"score":{"name": "$MaxDistance","objective": "clgd.lodestone"},"hoverEvent": {"action": "show_text","value": "Click to Edit"},"clickEvent": {"action": "suggest_command","value":"/scoreboard players set $MaxDistance clgd.lodestone <amount>"}}]

tellraw @s ""

execute if predicate clgd.lodestone:menu/lodestone_required run tellraw @s ["",{"text":"Lodestone Required: ","color":"aqua","hoverEvent":{"action":"show_text","value":"If true, the player must be standing on a lodestone in order to warp"}},{"text":"true","color":"green","hoverEvent":{"action":"show_text","value":"Click to toggle"},"clickEvent":{"action":"run_command","value":"/function clgd.lodestone:menu/disable_lodestone_check"}}]
execute unless predicate clgd.lodestone:menu/lodestone_required run tellraw @s ["",{"text":"Lodestone Required: ","color":"aqua","hoverEvent":{"action":"show_text","value":"If true, the player must be standing on a lodestone in order to warp"}},{"text":"false","color":"red","hoverEvent":{"action":"show_text","value":"Click to toggle"},"clickEvent":{"action":"run_command","value":"/function clgd.lodestone:menu/enable_lodestone_check"}}]



execute if predicate clgd.lodestone:menu/prevent_fall_damage run tellraw @s ["",{"text":"Prevent Fall Damage: ","color":"aqua","hoverEvent":{"action":"show_text","value":"Give the player Resistance V for 1 second to block damage from falling before warping"}},{"text":"true","color":"green","hoverEvent":{"action":"show_text","value":"Click to toggle"},"clickEvent":{"action":"run_command","value":"/function clgd.lodestone:menu/allow_fall_damage"}}]
execute unless predicate clgd.lodestone:menu/prevent_fall_damage run tellraw @s ["",{"text":"Prevent Fall Damage: ","color":"aqua","hoverEvent":{"action":"show_text","value":"Give the player Resistance V for 1 second to block damage from falling before warping"}},{"text":"false","color":"red","hoverEvent":{"action":"show_text","value":"Click to toggle"},"clickEvent":{"action":"run_command","value":"/function clgd.lodestone:menu/block_fall_damage"}}]

#execute if predicate clgd.lodestone:menu/combat_check_enabled run tellraw @s ["",{"text":"Combat Check: ","color":"aqua","hoverEvent":{"action":"show_text","value":"Prevents the player from warping if they recently attacked"}},{"text":"enabled","color":"green","hoverEvent":{"action":"show_text","value":"Click to toggle"},"clickEvent":{"action":"run_command","value":"/function clgd.lodestone:menu/disable_combat_check"}}]
#execute unless predicate clgd.lodestone:menu/combat_check_enabled run tellraw @s ["",{"text":"Combat Check: ","color":"aqua","hoverEvent":{"action":"show_text","value":"Prevents the player from warping if they were recently attacked by an entity or other player"}},{"text":"disabled","color":"red","hoverEvent":{"action":"show_text","value":"Click to toggle"},"clickEvent":{"action":"run_command","value":"/function clgd.lodestone:menu/enable_combat_check"}}]